### Hierarchy

- EventTarget
  - Performance

## Index

### Properties

- EventTarget
- navigation
- onresourcetimingbufferfull
- timeOrigin
- timing

### Methods

- addEventListener
- clearMarks
- clearMeasures
- clearResourceTimings
- dispatchEvent
- getEntries
- getEntriesByName
- getEntriesByType
- mark
- measure
- now
- removeEventListener
- setResourceTimingBufferSize
- toJSON

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### navigation

navigation: PerformanceNavigation

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10959

deprecated

### onresourcetimingbufferfull

onresourcetimingbufferfull: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10960

### timeOrigin

timeOrigin: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10961

### timing

timing: PerformanceTiming

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10963

deprecated

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10975

  #### Type parameters

  - #### K: keyof PerformanceEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: Performance, ev: PerformanceEventMap[K]): any

      - #### Parameters

        - ##### this: Performance

        - ##### ev: PerformanceEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10976

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### clearMarks

- clearMarks(markName?: undefined | string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10964

  #### Parameters

  - ##### Optional markName: undefined | string

  #### Returns void

### clearMeasures

- clearMeasures(measureName?: undefined | string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10965

  #### Parameters

  - ##### Optional measureName: undefined | string

  #### Returns void

### clearResourceTimings

- clearResourceTimings(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10966

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### getEntries

- getEntries(): PerformanceEntryList

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10967

  #### Returns PerformanceEntryList

### getEntriesByName

- getEntriesByName(name: string, type?: undefined | string): PerformanceEntryList

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10968

  #### Parameters

  - ##### name: string

  - ##### Optional type: undefined | string

  #### Returns PerformanceEntryList

### getEntriesByType

- getEntriesByType(type: string): PerformanceEntryList

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10969

  #### Parameters

  - ##### type: string

  #### Returns PerformanceEntryList

### mark

- mark(markName: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10970

  #### Parameters

  - ##### markName: string

  #### Returns void

### measure

- measure(measureName: string, startMark?: undefined | string, endMark?: undefined | string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10971

  #### Parameters

  - ##### measureName: string

  - ##### Optional startMark: undefined | string

  - ##### Optional endMark: undefined | string

  #### Returns void

### now

- now(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10972

  #### Returns number

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10977

  #### Type parameters

  - #### K: keyof PerformanceEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: Performance, ev: PerformanceEventMap[K]): any

      - #### Parameters

        - ##### this: Performance

        - ##### ev: PerformanceEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10978

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### setResourceTimingBufferSize

- setResourceTimingBufferSize(maxSize: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10973

  #### Parameters

  - ##### maxSize: number

  #### Returns void

### toJSON

- toJSON(): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10974

  #### Returns any

Generated using TypeDoc